org.eclipse.microprofile.lra.tck.participant.api

## Class LRATypeTckSuperclassResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
  - - org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckSuperclass
    - - org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckSuperclassResource

    @Path(value="lra-type-tck-superclass-resource")
    public class LRATypeTckSuperclassResource
    extends LRATypeTckSuperclass

### Field Summary

Fields
`static String` `TCK_LRA_TYPE_SUPERCLASS_RESOURCE_PATH`

### Fields inherited from class org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckSuperclass

`MANDATORY_PATH, MANDATORY_WITH_END_FALSE_PATH, NEVER_PATH, NEVER_WITH_END_FALSE_PATH, NOT_SUPPORTED_PATH, NOT_SUPPORTED_WITH_END_FALSE_PATH, REQUIRED_PATH, REQUIRED_WITH_END_FALSE_PATH, REQUIRES_NEW_PATH, REQUIRES_NEW_WITH_END_FALSE_PATH, SUPPORTS_PATH, SUPPORTS_WITH_END_FALSE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`LRATypeTckSuperclassResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `mandatoryEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `mandatoryLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `neverEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `neverLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `notSupportedEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `notSupportedLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiredEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiredLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiresNewEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiresNewLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `supportsEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `supportsLRA(URI lraId)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

`afterLRA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TCK_LRA_TYPE_SUPERCLASS_RESOURCE_PATH

    public static final String TCK_LRA_TYPE_SUPERCLASS_RESOURCE_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### LRATypeTckSuperclassResource

    public LRATypeTckSuperclassResource()

### Method Detail

#### requiredLRA

    public jakarta.ws.rs.core.Response requiredLRA(URI lraId)

Specified by:
  `requiredLRA` in class `LRATypeTckSuperclass`

#### requiresNewLRA

    public jakarta.ws.rs.core.Response requiresNewLRA(URI lraId)

Specified by:
  `requiresNewLRA` in class `LRATypeTckSuperclass`

#### mandatoryLRA

    public jakarta.ws.rs.core.Response mandatoryLRA(URI lraId)

Specified by:
  `mandatoryLRA` in class `LRATypeTckSuperclass`

#### supportsLRA

    public jakarta.ws.rs.core.Response supportsLRA(URI lraId)

Specified by:
  `supportsLRA` in class `LRATypeTckSuperclass`

#### notSupportedLRA

    public jakarta.ws.rs.core.Response notSupportedLRA(URI lraId)

Specified by:
  `notSupportedLRA` in class `LRATypeTckSuperclass`

#### neverLRA

    public jakarta.ws.rs.core.Response neverLRA(URI lraId)

Specified by:
  `neverLRA` in class `LRATypeTckSuperclass`

#### requiredEndLRA

    public jakarta.ws.rs.core.Response requiredEndLRA(URI lraId)

Specified by:
  `requiredEndLRA` in class `LRATypeTckSuperclass`

#### requiresNewEndLRA

    public jakarta.ws.rs.core.Response requiresNewEndLRA(URI lraId)

Specified by:
  `requiresNewEndLRA` in class `LRATypeTckSuperclass`

#### mandatoryEndLRA

    public jakarta.ws.rs.core.Response mandatoryEndLRA(URI lraId)

Specified by:
  `mandatoryEndLRA` in class `LRATypeTckSuperclass`

#### supportsEndLRA

    public jakarta.ws.rs.core.Response supportsEndLRA(URI lraId)

Specified by:
  `supportsEndLRA` in class `LRATypeTckSuperclass`

#### notSupportedEndLRA

    public jakarta.ws.rs.core.Response notSupportedEndLRA(URI lraId)

Specified by:
  `notSupportedEndLRA` in class `LRATypeTckSuperclass`

#### neverEndLRA

    public jakarta.ws.rs.core.Response neverEndLRA(URI lraId)

Specified by:
  `neverEndLRA` in class `LRATypeTckSuperclass`